{
  "dynamic": "strict",
  "properties": {
    "id": {
      "type": "long"
    },
    "name": {
      "type": "string"
    },
    "is_online": {
      "type": "boolean"
    },
    "order": {
      "type": "long"
    },
    "created_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "update_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "tag_ids": {
      "type": "long"
    },
    "tag_names": {
      "type": "string",
      "index": "not_analyzed"
    },
    "info_tags": {
      "type": "string",
      "index": "not_analyzed"
    },
    "has_position_image": {
      "type": "long"
    },
    "city_info": {
      "type" : "nested",
      "properties": {
        "city_id": {
          "type": "long"
        },
        "score": {
          "type": "long"
        },
        "scores": {
          "type": "double"
        }
      }
    }
  }
}
